[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator ><(Tvector3_double, Tvector3_double): Tvector3_double

Calculate the external product of two three-dimensional vectors

## Declaration

Source position: matrix.pp line 404

`operator operator ><(Tvector3_double, Tvector3_double): Tvector3_double(`
`const x: Tvector3_double;`
`const y: Tvector3_double`
`):Tvector3_double;`

## Description

This operator returns the external product of two three dimensional vector. It is a vector orthonormal to the two multiplied vectors. The length of that vector is equal to the surface area of a parallelogram with the two vectors as sides.

The external product is often used to get a vector orthonormal to two other vectors, but of a predefined length. In order to do so, the result vector from the external product, is divided by its length, and then multiplied by the desired size.

Documentation generated on: Feb 26 2014